package medicine

import "context"

type Repository interface {
	Create(ctx context.Context, medicine *Medicine) error
	Update(ctx context.Context, medicine *Medicine) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*Medicine, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]Medicine, int64, error)
}
